< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600
-  package retriever
  Definition Classes
    v3
- AboutThisReturnBoxRetriever
- CT600BoxRetriever
- CT600DeclarationBoxRetriever
- RepaymentsBoxRetriever

t

uk.gov.hmrc.ct.ct600.v3.retriever

# RepaymentsBoxRetriever 

###

#### trait RepaymentsBoxRetriever extends BoxRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RepaymentsBoxRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def b860(): B860
2.  abstract def b920(): B920
3.  abstract def b925(): B925
4.  abstract def b930(): B930
5.  abstract def b935(): B935
6.  abstract def b940(): B940
7.  abstract def b945(): B945
8.  abstract def b955(): B955
9.  abstract def b960(): B960
10.  abstract def b960_1(): B960_1
11.  abstract def b960_2(): B960_2
12.  abstract def b960_3(): B960_3
13.  abstract def b960_5(): B960_5
14.  abstract def b965(): B965
15.  abstract def b970(): B970
16.  abstract def generateValues: Map[String, CtValue[_]]
    Definition Classes
      BoxRetriever
17.  abstract def payeeQ1(): PAYEEQ1
18.  abstract def repaymentsQ1(): REPAYMENTSQ1

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def b865(): B865
6.  def b870(): B870
7.  def b950(): B950
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]
    Definition Classes
      BoxRetriever
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped